<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net5.0</TargetFramework>
	</PropertyGroup>

	<ItemGroup>
	  <PackageReference Include="Oracle.ManagedDataAccess.Core" Version="3.21.4" />
	  <PackageReference Include="System.Data.SqlClient" Version="4.8.3" />
	</ItemGroup>

 
	<ItemGroup>
		<ProjectReference Include="..\Performance.DtoModels\Performance.DtoModels.csproj" />
		<ProjectReference Include="..\Performance.EntityModels\Performance.EntityModels.csproj" />
	</ItemGroup>

	<ItemGroup>
		<None Update="T4\AutoRepository.tt">
			<Generator>TextTemplatingFileGenerator</Generator>
			<LastGenOutput>AutoRepository.cs</LastGenOutput>
		</None>
	</ItemGroup>

	<ItemGroup>
		<Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
	</ItemGroup>

	<ItemGroup>
		<Compile Update="T4\AutoRepository.cs">
			<DesignTime>True</DesignTime>
			<AutoGen>True</AutoGen>
			<DependentUpon>AutoRepository.tt</DependentUpon>
		</Compile>
	</ItemGroup>

</Project>
